Bug 28374 - SIGSEGV shader/slang/slang_typeinfo.c:534
SIGSEGV shader/slang/slang_typeinfo.c:534
Status: CLOSED FIXED
Product: Mesa
Classification: Unclassified
Component: Mesa core
git
x86 (IA32) Linux (All)
: medium critical
Assigned To: Brian Paul
:
Depends on:
Blocks: 29044
  Show dependency treegraph
 
Reported: 2010-06-03 14:29 UTC by Vinson Lee
Modified: 2010-11-03 23:55 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2010-06-03 14:29:02 UTC
mesa: d6ba70c658d05033f04dd73bc40a3e2d29892121 (master)

Run piglit glslparsertest constructor-10.vert test.

$ ./bin/glslparsertest tests/glslparsertest/glsl2/constructor-10.vert fail

(gdb) bt
#0  _slang_typeof_operation (op=0x0, space=0xbfffdfe0, ti=0xbfffd3d8, atoms=0xbfffe388, log=0xbffff3a0) at shader/slang/slang_typeinfo.c:534
#1  0x002edd66 in _slang_adapt_call (callOper=0xb6db6ff4, fun=0xb7452e98, space=0xbfffdfe0, atoms=0xbfffe388, log=0xbffff3a0) at shader/slang/slang_simplify.c:468
#2  0x0037cf1e in _slang_gen_function_call_name (A=<value optimized out>, name=0x173 <Address 0x173 out of bounds>, oper=0xb6db6ff4, dest=0xb6db6fb8)
    at shader/slang/slang_codegen.c:2403
#3  0x0037e117 in _slang_gen_assignment (A=0xbfffdfdc, oper=0xb6db6f10) at shader/slang/slang_codegen.c:4319
#4  _slang_gen_operation (A=0xbfffdfdc, oper=0xb6db6f10) at shader/slang/slang_codegen.c:4797
#5  0x0037d464 in _slang_gen_operation (A=<value optimized out>, oper=<value optimized out>) at shader/slang/slang_codegen.c:4706
#6  0x0037d464 in _slang_gen_operation (A=<value optimized out>, oper=<value optimized out>) at shader/slang/slang_codegen.c:4706
#7  0x0037d3aa in _slang_gen_operation (A=0xbfffdfdc, oper=0xb6db4a6c) at shader/slang/slang_codegen.c:4684
#8  0x0037bf46 in _slang_gen_function_call (A=<value optimized out>, fun=<value optimized out>, oper=0xb6db4a6c, dest=0xb6db4a30) at shader/slang/slang_codegen.c:1663
#9  0x0037ca3b in _slang_gen_function_call_name (A=<value optimized out>, name=0x0, oper=0xb6db4a6c, dest=0xb6db4a30) at shader/slang/slang_codegen.c:2455
#10 0x0037e117 in _slang_gen_assignment (A=0xbfffdfdc, oper=0xb6db4840) at shader/slang/slang_codegen.c:4319
#11 _slang_gen_operation (A=0xbfffdfdc, oper=0xb6db4840) at shader/slang/slang_codegen.c:4797
#12 0x0037d464 in _slang_gen_operation (A=<value optimized out>, oper=<value optimized out>) at shader/slang/slang_codegen.c:4706
#13 0x0037e8b3 in _slang_codegen_function (A=0xbfffdfdc, fun=0xb6db4b14) at shader/slang/slang_codegen.c:5308
#14 0x002e8767 in parse_code_unit (C=<value optimized out>, unit=<value optimized out>, shader=0x8088fb8) at shader/slang/slang_compile.c:2643
#15 0x002e8ad0 in compile_binary (prod=<value optimized out>, unit=0xbffff3a0, version=110, type=SLANG_UNIT_VERTEX_SHADER, infolog=0xbffff3a0, builtin=0xbfffe2ac, 
    downlink=0xbfffe330, shader=0x8088fb8) at shader/slang/slang_compile.c:2686
#16 0x002e9286 in compile_with_grammar (ctx=0x805c538, shader=0x8088fb8) at shader/slang/slang_compile.c:2798
#17 compile_object (ctx=0x805c538, shader=0x8088fb8) at shader/slang/slang_compile.c:2924
#18 _slang_compile (ctx=0x805c538, shader=0x8088fb8) at shader/slang/slang_compile.c:2976
#19 0x0029f523 in _mesa_compile_shader (ctx=0x805c538, shaderObj=1) at shader/shader_api.c:1103
#20 0x0033569e in _mesa_CompileShaderARB (shaderObj=1) at main/shaders.c:81
#21 0x08049e4b in test ()
#22 0x0804a10a in main ()

(gdb) frame 0
#0  _slang_typeof_operation (op=0x0, space=0xbfffdfe0, ti=0xbfffd3d8, atoms=0xbfffe388, log=0xbffff3a0) at shader/slang/slang_typeinfo.c:534
534	   switch (op->type) {
(gdb) print op
$1 = (slang_operation *) 0x0
Comment 1 Eric Anholt 2010-08-17 08:27:24 UTC
Fixed with glsl2 merge.
Comment 2 Vinson Lee 2010-11-03 23:55:30 UTC
mesa: 05921fd4e5305da68bb269748cb0ef059e1db417 (master)

Verified fixed.